org.apache.nutch.util

## Class CommandRunner

- java.lang.Object
- - org.apache.nutch.util.CommandRunner

-     public class CommandRunner
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandRunner()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `evaluate()`
    `int` | `exec()`
    `java.lang.String` | `getCommand()`
    `int` | `getExitValue()`
    `java.lang.Throwable` | `getThrownError()`
    `int` | `getTimeout()`
    `boolean` | `getWaitForExit()`
    `static void` | `main(java.lang.String[] args)`
    `void` | `setCommand(java.lang.String s)`
    `void` | `setInputStream(java.io.InputStream is)`
    `void` | `setStdErrorStream(java.io.OutputStream os)`
    `void` | `setStdOutputStream(java.io.OutputStream os)`
    `void` | `setTimeout(int timeout)`
    `void` | `setWaitForExit(boolean waitForExit)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandRunner

          public CommandRunner()

  - ### Method Detail

    - #### getExitValue

          public int getExitValue()

    - #### setCommand

          public void setCommand(java.lang.String s)

    - #### getCommand

          public java.lang.String getCommand()

    - #### setInputStream

          public void setInputStream(java.io.InputStream is)

    - #### setStdOutputStream

          public void setStdOutputStream(java.io.OutputStream os)

    - #### setStdErrorStream

          public void setStdErrorStream(java.io.OutputStream os)

    - #### evaluate

          public void evaluate()
                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### exec

          public int exec()
                   throws java.io.IOException

      Returns:
        process exit value (return code) or -1 if timed out.
      Throws:
        `java.io.IOException`

    - #### getThrownError

          public java.lang.Throwable getThrownError()

    - #### getTimeout

          public int getTimeout()

    - #### setTimeout

          public void setTimeout(int timeout)

    - #### getWaitForExit

          public boolean getWaitForExit()

    - #### setWaitForExit

          public void setWaitForExit(boolean waitForExit)

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2019 The Apache Software Foundation